< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package bootstrap
  Definition Classes
    play
-  package frontend
  Definition Classes
    bootstrap
-  package filters
  Definition Classes
    frontend
-  package crypto
  Definition Classes
    filters
-  package deviceid
  Definition Classes
    filters
- DefaultFrontendAuditFilter
- FrontendAuditFilter
- FrontendFilters
- HeadersFilter
- SessionIdFilter
- SessionTimeoutFilter
- SessionTimeoutFilterConfig
- WhitelistFilter

c

uk.gov.hmrc.play.bootstrap.frontend.filters

# WhitelistFilter 

###

#### class WhitelistFilter extends AkamaiWhitelistFilter

Linear Supertypes
AkamaiWhitelistFilter, Filter, EssentialFilter, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WhitelistFilter
2. AkamaiWhitelistFilter
3. Filter
4. EssentialFilter
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new WhitelistFilter(config: Configuration, mat: Materializer)
   Annotations
     @Inject()

### Type Members

1.  case class WhitelistFilterConfig(whitelist: Seq[String], destination: Call, excludedPaths: Seq[Call]) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(f: (RequestHeader) ⇒ Future[Result])(rh: RequestHeader): Future[Result]
   Definition Classes
     AkamaiWhitelistFilter → Filter
5.  def apply(next: EssentialAction): EssentialAction
   Definition Classes
     Filter → EssentialFilter
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def asJava: EssentialFilter
   Definition Classes
     EssentialFilter
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  lazy val destination: Call
   Definition Classes
     WhitelistFilter → AkamaiWhitelistFilter
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  lazy val excludedPaths: Seq[Call]
    Definition Classes
      WhitelistFilter → AkamaiWhitelistFilter
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  def loadConfig: WhitelistFilter
18.  val mat: Materializer
    Definition Classes
      WhitelistFilter → Filter
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def noHeaderAction(f: (RequestHeader) ⇒ Future[Result], rh: RequestHeader): Future[Result]
    Definition Classes
      AkamaiWhitelistFilter
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def response: Result
    Definition Classes
      AkamaiWhitelistFilter
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  val trueClient: String
    Definition Classes
      AkamaiWhitelistFilter
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
30.  lazy val whitelist: Seq[String]
    Definition Classes
      WhitelistFilter → AkamaiWhitelistFilter

### Inherited from AkamaiWhitelistFilter

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped